# CLI Reference

| Command                           | Alias  | Description                                                       |
|:---                               |:---    |:---                                                               |
| [`add`](cli/add)                  |        | Adds support for an external library to your project.             |
| [`analytics`](cli/analytics)      |        | Configures the gathering of Angular CLI usage metrics.            |
| [`build`](cli/build)              | `b`      | Compiles an Angular application or library into an output directory named dist/ at the given output path. |
| [`cache`](cli/cache)              |        | Configure persistent disk cache and retrieve cache statistics.    |
| [`completion`](cli/completion)    |        | Set up Angular CLI autocompletion for your terminal.              |
| [`config`](cli/config)            |        | Retrieves or sets Angular configuration values in the angular.json file for the workspace. |
| [`deploy`](cli/deploy)            |        | Invokes the deploy builder for a specified project or for the default project in the workspace. |
| [`doc`](cli/doc)                  | `d`      | Opens the official Angular documentation (angular.io) in a browser, and searches for a given keyword. |
| [`e2e`](cli/e2e)                  | `e`      | Builds and serves an Angular application, then runs end-to-end tests. |
| [`extract-i18n`](cli/extract-i18n)|        | Extracts i18n messages from source code.                          |
| [`generate`](cli/generate)        | `g`      | Generates and/or modifies files based on a schematic.             |
| [`lint`](cli/lint)                |        | Runs linting tools on Angular application code in a given project folder. |
| [`new`](cli/new)                  | `n`      | Creates a new Angular workspace. |
| [`run`](cli/run)                  |        | Runs an Architect target with an optional custom builder configuration defined in your project. |
| [`serve`](cli/serve)              | `s`      | Builds and serves your application, rebuilding on file changes. |
| [`test`](cli/test)                | `t`      | Runs unit tests in a project. |
| [`update`](cli/update)            |        | Updates your workspace and its dependencies. See https://update.angular.io/.             |
| [`version`](cli/version)          | `v`      | Outputs Angular CLI version. |
